- Tax Accounts
- Create a tax account
Tax Accounts
Create a tax account
Create a tax account for a tax entity and tax authority.
POST
/v1/taxpayers/{taxpayerId}/tax-accounts
curl --request POST \
--url https://public-api.sandbox.remitian.com/v1/taxpayers/{taxpayerId}/tax-accounts \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>' \
--header 'Content-Type: application/json' \
--data '{
"taxEntityId": "<uuid>",
"taxAuthority": "CA_CRA",
"type": "Personal",
"externalId": "string"
}'
curl --request POST \
--url https://public-api.sandbox.remitian.com/v1/taxpayers/{taxpayerId}/tax-accounts \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>' \
--header 'Content-Type: application/json' \
--data '{
"taxEntityId": "<uuid>",
"taxAuthority": "CA_CRA",
"type": "Personal",
"externalId": "string"
}'Authorizations
bearerAuth
required
string
Access token from POST /v1/auth/token, sent as `Authorization: Bearer {accessToken}`.
Query Parameters
taxpayerId
required
string
Unique identifier of the taxpayer.
x-api-key
required
string
API key of your Client Application.
Body
application/json
taxEntityId
required
string
The unique identifier of the tax entity.
taxAuthority
required
string
The tax authority for this tax account.
type
required
string
The type of tax account.
externalId
string
Optional external identifier provided by the client.
Response
application/json
201
400
401
403
404
409
Created
id
string
The unique identifier of the resource.
externalId
string
The external identifier provided by the client.
curl --request POST \
--url https://public-api.sandbox.remitian.com/v1/taxpayers/{taxpayerId}/tax-accounts \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>' \
--header 'Content-Type: application/json' \
--data '{
"taxEntityId": "<uuid>",
"taxAuthority": "CA_CRA",
"type": "Personal",
"externalId": "string"
}'
curl --request POST \
--url https://public-api.sandbox.remitian.com/v1/taxpayers/{taxpayerId}/tax-accounts \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>' \
--header 'Content-Type: application/json' \
--data '{
"taxEntityId": "<uuid>",
"taxAuthority": "CA_CRA",
"type": "Personal",
"externalId": "string"
}'